diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-psdu.cc ns-3.44/src/wifi/model/wifi-psdu.cc
--- ns-3.43/src/wifi/model/wifi-psdu.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-psdu.cc	2025-03-09 16:55:49.803372600 -0700
@@ -107,7 +107,7 @@
     {
         if (m_mpduList.at(i)->GetHeader().GetAddr1() != ra)
         {
-            NS_ABORT_MSG("MPDUs in an A-AMPDU must have the same receiver address");
+            NS_ABORT_MSG("MPDUs in an A-MPDU must have the same receiver address");
         }
     }
     return ra;
@@ -122,7 +122,7 @@
     {
         if (m_mpduList.at(i)->GetHeader().GetAddr2() != ta)
         {
-            NS_ABORT_MSG("MPDUs in an A-AMPDU must have the same transmitter address");
+            NS_ABORT_MSG("MPDUs in an A-MPDU must have the same transmitter address");
         }
     }
     return ta;
@@ -163,6 +163,16 @@
     }
 }
 
+void
+WifiPsdu::IncrementRetryCount()
+{
+    NS_LOG_FUNCTION(this);
+    for (auto& mpdu : m_mpduList)
+    {
+        mpdu->IncrementRetryCount();
+    }
+}
+
 std::set<uint8_t>
 WifiPsdu::GetTids() const
 {
@@ -368,4 +378,40 @@
     return os;
 }
 
+std::ostream&
+operator<<(std::ostream& os, const WifiPsduMap& psduMap)
+{
+    for (const auto& [staId, psdu] : psduMap)
+    {
+        if (staId != SU_STA_ID)
+        {
+            os << "[PSDU for STA_ID=" << staId << ", ";
+        }
+        psdu->Print(os);
+        if (staId != SU_STA_ID)
+        {
+            os << "]";
+        }
+    }
+    return os;
+}
+
+std::ostream&
+operator<<(std::ostream& os, const WifiConstPsduMap& psduMap)
+{
+    for (const auto& [staId, psdu] : psduMap)
+    {
+        if (staId != SU_STA_ID)
+        {
+            os << "[PSDU for STA_ID=" << staId << ", ";
+        }
+        psdu->Print(os);
+        if (staId != SU_STA_ID)
+        {
+            os << "]";
+        }
+    }
+    return os;
+}
+
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-psdu.h ns-3.44/src/wifi/model/wifi-psdu.h
--- ns-3.43/src/wifi/model/wifi-psdu.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-psdu.h	2025-03-09 16:55:49.803372600 -0700
@@ -15,6 +15,7 @@
 #include "ns3/nstime.h"
 
 #include <set>
+#include <unordered_map>
 #include <vector>
 
 namespace ns3
@@ -23,7 +24,7 @@
 class Packet;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiPsdu stores an MPDU, S-MPDU or A-MPDU, by keeping header(s) and
  * payload(s) separate for each constituent MPDU.
@@ -36,8 +37,8 @@
      * frames that do not have to keep an associated lifetime and are not stored
      * in an S-MPDU.
      *
-     * \param p the payload of the MPDU.
-     * \param header the Wifi MAC header of the MPDU.
+     * @param p the payload of the MPDU.
+     * @param header the Wifi MAC header of the MPDU.
      */
     WifiPsdu(Ptr<const Packet> p, const WifiMacHeader& header);
 
@@ -45,8 +46,8 @@
      * Create a PSDU storing an MPDU or S-MPDU. Typically used for QoS data
      * frames that have to keep an associated lifetime.
      *
-     * \param mpdu the MPDU.
-     * \param isSingle true for an S-MPDU
+     * @param mpdu the MPDU.
+     * @param isSingle true for an S-MPDU
      */
     WifiPsdu(Ptr<WifiMpdu> mpdu, bool isSingle);
 
@@ -54,15 +55,15 @@
      * Create a PSDU storing an MPDU or S-MPDU. Typically used for QoS data
      * frames that have to keep an associated lifetime.
      *
-     * \param mpdu the MPDU.
-     * \param isSingle true for an S-MPDU
+     * @param mpdu the MPDU.
+     * @param isSingle true for an S-MPDU
      */
     WifiPsdu(Ptr<const WifiMpdu> mpdu, bool isSingle);
 
     /**
      * Create a PSDU storing an S-MPDU or A-MPDU.
      *
-     * \param mpduList the list of constituent MPDUs.
+     * @param mpduList the list of constituent MPDUs.
      */
     WifiPsdu(std::vector<Ptr<WifiMpdu>> mpduList);
 
@@ -70,92 +71,97 @@
 
     /**
      * Return true if the PSDU is an S-MPDU
-     * \return true if the PSDU is an S-MPDU.
+     * @return true if the PSDU is an S-MPDU.
      */
     bool IsSingle() const;
 
     /**
      * Return true if the PSDU is an S-MPDU or A-MPDU
-     * \return true if the PSDU is an S-MPDU or A-MPDU.
+     * @return true if the PSDU is an S-MPDU or A-MPDU.
      */
     bool IsAggregate() const;
 
     /**
-     * \brief Get the PSDU as a single packet
-     * \return the PSDU.
+     * @brief Get the PSDU as a single packet
+     * @return the PSDU.
      */
     Ptr<const Packet> GetPacket() const;
 
     /**
-     * \brief Get the header of the i-th MPDU
-     * \param i index in the list of MPDUs
-     * \return the header of the i-th MPDU.
+     * @brief Get the header of the i-th MPDU
+     * @param i index in the list of MPDUs
+     * @return the header of the i-th MPDU.
      */
     const WifiMacHeader& GetHeader(std::size_t i) const;
 
     /**
-     * \brief Get the header of the i-th MPDU
-     * \param i index in the list of MPDUs
-     * \return the header of the i-th MPDU.
+     * @brief Get the header of the i-th MPDU
+     * @param i index in the list of MPDUs
+     * @return the header of the i-th MPDU.
      */
     WifiMacHeader& GetHeader(std::size_t i);
 
     /**
-     * \brief Get the payload of the i-th MPDU
-     * \param i index in the list of MPDUs
-     * \return the payload of the i-th MPDU.
+     * @brief Get the payload of the i-th MPDU
+     * @param i index in the list of MPDUs
+     * @return the payload of the i-th MPDU.
      */
     Ptr<const Packet> GetPayload(std::size_t i) const;
 
     /**
-     * \brief Get a copy of the i-th A-MPDU subframe (includes subframe header, MPDU, and possibly
+     * @brief Get a copy of the i-th A-MPDU subframe (includes subframe header, MPDU, and possibly
      * padding)
-     * \param i the index in the list of A-MPDU subframes \return the i-th A-MPDU subframe.
+     * @param i the index in the list of A-MPDU subframes \return the i-th A-MPDU subframe.
      */
     Ptr<Packet> GetAmpduSubframe(std::size_t i) const;
 
     /**
-     * \brief Return the size of the i-th A-MPDU subframe.
-     * \param i the index in the list of A-MPDU subframes
-     * \return the size of the i-th A-MPDU subframe.
+     * @brief Return the size of the i-th A-MPDU subframe.
+     * @param i the index in the list of A-MPDU subframes
+     * @return the size of the i-th A-MPDU subframe.
      */
     std::size_t GetAmpduSubframeSize(std::size_t i) const;
 
     /**
      * Get the Receiver Address (RA), which is common to all the MPDUs
-     * \return the Receiver Address.
+     * @return the Receiver Address.
      */
     Mac48Address GetAddr1() const;
 
     /**
      * Get the Transmitter Address (TA), which is common to all the MPDUs
-     * \return the Transmitter Address.
+     * @return the Transmitter Address.
      */
     Mac48Address GetAddr2() const;
 
     /**
-     * \return true if the Duration/ID field contains a value for setting the NAV
+     * @return true if the Duration/ID field contains a value for setting the NAV
      */
     bool HasNav() const;
 
     /**
      * Get the duration from the Duration/ID field, which is common to all the MPDUs
-     * \return the duration from the Duration/ID field.
+     * @return the duration from the Duration/ID field.
      */
     Time GetDuration() const;
 
     /**
      * Set the Duration/ID field on all the MPDUs
-     * \param duration the value for the Duration/ID field.
+     * @param duration the value for the Duration/ID field.
      */
     void SetDuration(Time duration);
 
     /**
+     * Increment the frame retry count for all the MPDUs.
+     */
+    void IncrementRetryCount();
+
+    /**
      * Get the set of TIDs of the QoS Data frames included in the PSDU. Note that
      * only single-TID A-MPDUs are currently supported, hence the returned set
      * contains at most one TID value.
      *
-     * \return the set of TIDs of the QoS Data frames included in the PSDU.
+     * @return the set of TIDs of the QoS Data frames included in the PSDU.
      */
     std::set<uint8_t> GetTids() const;
 
@@ -165,8 +171,8 @@
      * given TID have the same QoS Ack Policy. Do not call this method if there
      * is no QoS Date frame in the PSDU.
      *
-     * \param tid the given TID
-     * \return the QoS Ack Policy common to all QoS Data frames having the given TID.
+     * @param tid the given TID
+     * @return the QoS Ack Policy common to all QoS Data frames having the given TID.
      */
     WifiMacHeader::QosAckPolicy GetAckPolicyForTid(uint8_t tid) const;
 
@@ -174,8 +180,8 @@
      * Set the QoS Ack Policy of the QoS Data frames included in the PSDU that
      * have the given TID to the given policy.
      *
-     * \param tid the given TID
-     * \param policy the given QoS Ack policy
+     * @param tid the given TID
+     * @param policy the given QoS Ack policy
      */
     void SetAckPolicyForTid(uint8_t tid, WifiMacHeader::QosAckPolicy policy);
 
@@ -185,57 +191,57 @@
      * sequence number. If this  PSDU does not contain any QoS Data frame that
      * is not an old frame, an invalid distance (4096) is returned.
      *
-     * \param startingSeq the given starting sequence number.
-     * \return the maximum distance between the sequence numbers included in the
+     * @param startingSeq the given starting sequence number.
+     * @return the maximum distance between the sequence numbers included in the
      *         PSDU and the given starting sequence number
      */
     uint16_t GetMaxDistFromStartingSeq(uint16_t startingSeq) const;
 
     /**
-     * \brief Return the size of the PSDU in bytes
+     * @brief Return the size of the PSDU in bytes
      *
-     * \return the size of the PSDU.
+     * @return the size of the PSDU.
      */
     uint32_t GetSize() const;
 
     /**
-     * \brief Return the number of MPDUs constituting the PSDU
+     * @brief Return the number of MPDUs constituting the PSDU
      *
-     * \return the number of MPDUs constituting the PSDU.
+     * @return the number of MPDUs constituting the PSDU.
      */
     std::size_t GetNMpdus() const;
 
     /**
-     * \brief Return a const iterator to the first MPDU
+     * @brief Return a const iterator to the first MPDU
      *
-     * \return a const iterator to the first MPDU.
+     * @return a const iterator to the first MPDU.
      */
     std::vector<Ptr<WifiMpdu>>::const_iterator begin() const;
 
     /**
-     * \brief Return an iterator to the first MPDU
+     * @brief Return an iterator to the first MPDU
      *
-     * \return an iterator to the first MPDU.
+     * @return an iterator to the first MPDU.
      */
     std::vector<Ptr<WifiMpdu>>::iterator begin();
 
     /**
-     * \brief Return a const iterator to past-the-last MPDU
+     * @brief Return a const iterator to past-the-last MPDU
      *
-     * \return a const iterator to past-the-last MPDU.
+     * @return a const iterator to past-the-last MPDU.
      */
     std::vector<Ptr<WifiMpdu>>::const_iterator end() const;
 
     /**
-     * \brief Return an iterator to past-the-last MPDU
+     * @brief Return an iterator to past-the-last MPDU
      *
-     * \return an iterator to past-the-last MPDU.
+     * @return an iterator to past-the-last MPDU.
      */
     std::vector<Ptr<WifiMpdu>>::iterator end();
 
     /**
-     * \brief Print the PSDU contents.
-     * \param os output stream in which the data should be printed.
+     * @brief Print the PSDU contents.
+     * @param os output stream in which the data should be printed.
      */
     void Print(std::ostream& os) const;
 
@@ -246,14 +252,38 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param psdu the PSDU
- * \returns a reference to the stream
+ * @param os the stream
+ * @param psdu the PSDU
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const WifiPsdu& psdu);
 
+/// Map of PSDUs indexed by STA-ID
+using WifiPsduMap = std::unordered_map<uint16_t /* staId */, Ptr<WifiPsdu> /* PSDU */>;
+
+/// Map of const PSDUs indexed by STA-ID
+using WifiConstPsduMap = std::unordered_map<uint16_t /* staId */, Ptr<const WifiPsdu> /* PSDU */>;
+
+/**
+ * @brief Stream insertion operator.
+ *
+ * @param os the stream
+ * @param psduMap the PSDU map
+ * @returns a reference to the stream
+ */
+std::ostream& operator<<(std::ostream& os, const WifiPsduMap& psduMap);
+
+/**
+ * @brief Stream insertion operator.
+ *
+ * @param os the stream
+ * @param psduMap the PSDU map
+ * @returns a reference to the stream
+ */
+std::ostream& operator<<(std::ostream& os, const WifiConstPsduMap& psduMap);
+
 } // namespace ns3
 
 #endif /* WIFI_PSDU_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-radio-energy-model.cc ns-3.44/src/wifi/model/wifi-radio-energy-model.cc
--- ns-3.43/src/wifi/model/wifi-radio-energy-model.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-radio-energy-model.cc	2025-03-09 16:55:49.803372600 -0700
@@ -82,7 +82,7 @@
 WifiRadioEnergyModel::WifiRadioEnergyModel()
     : m_source(nullptr),
       m_currentState(WifiPhyState::IDLE),
-      m_lastUpdateTime(Seconds(0.0)),
+      m_lastUpdateTime(),
       m_nPendingChangeState(0)
 {
     NS_LOG_FUNCTION(this);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-radio-energy-model.h ns-3.44/src/wifi/model/wifi-radio-energy-model.h
--- ns-3.43/src/wifi/model/wifi-radio-energy-model.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-radio-energy-model.h	2025-03-09 16:55:49.803372600 -0700
@@ -24,7 +24,7 @@
 class WifiTxCurrentModel;
 
 /**
- * \ingroup energy
+ * @ingroup energy
  * A WifiPhy listener class for notifying the WifiRadioEnergyModel of Wifi radio
  * state change.
  *
@@ -41,16 +41,16 @@
     ~WifiRadioEnergyModelPhyListener() override;
 
     /**
-     * \brief Sets the change state callback. Used by helper class.
+     * @brief Sets the change state callback. Used by helper class.
      *
-     * \param callback Change state callback.
+     * @param callback Change state callback.
      */
     void SetChangeStateCallback(energy::DeviceEnergyModel::ChangeStateCallback callback);
 
     /**
-     * \brief Sets the update TX current callback.
+     * @brief Sets the update TX current callback.
      *
-     * \param callback Update TX current callback.
+     * @param callback Update TX current callback.
      */
     void SetUpdateTxCurrentCallback(UpdateTxCurrentCallback callback);
 
@@ -89,8 +89,8 @@
 };
 
 /**
- * \ingroup energy
- * \brief A WiFi radio energy model.
+ * @ingroup energy
+ * @brief A WiFi radio energy model.
  *
  * 4 states are defined for the radio: TX, RX, IDLE, SLEEP. Default state is
  * IDLE.
@@ -151,24 +151,24 @@
     typedef Callback<void> WifiRadioEnergyRechargedCallback;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     WifiRadioEnergyModel();
     ~WifiRadioEnergyModel() override;
 
     /**
-     * \brief Sets pointer to EnergySource installed on node.
+     * @brief Sets pointer to EnergySource installed on node.
      *
-     * \param source Pointer to EnergySource installed on node.
+     * @param source Pointer to EnergySource installed on node.
      *
      * Implements DeviceEnergyModel::SetEnergySource.
      */
     void SetEnergySource(const Ptr<energy::EnergySource> source) override;
 
     /**
-     * \returns Total energy consumption of the wifi device.
+     * @returns Total energy consumption of the wifi device.
      *
      * Implements DeviceEnergyModel::GetTotalEnergyConsumption.
      */
@@ -176,149 +176,149 @@
 
     // Setter & getters for state power consumption.
     /**
-     * \brief Gets idle current.
+     * @brief Gets idle current.
      *
-     * \returns idle current of the wifi device.
+     * @returns idle current of the wifi device.
      */
     ampere_u GetIdleCurrentA() const;
     /**
-     * \brief Sets idle current.
+     * @brief Sets idle current.
      *
-     * \param idleCurrentA the idle current
+     * @param idleCurrentA the idle current
      */
     void SetIdleCurrentA(ampere_u idleCurrentA);
     /**
-     * \brief Gets CCA busy current.
+     * @brief Gets CCA busy current.
      *
-     * \returns CCA Busy current of the wifi device.
+     * @returns CCA Busy current of the wifi device.
      */
     ampere_u GetCcaBusyCurrentA() const;
     /**
-     * \brief Sets CCA busy current.
+     * @brief Sets CCA busy current.
      *
-     * \param ccaBusyCurrentA the CCA busy current
+     * @param ccaBusyCurrentA the CCA busy current
      */
     void SetCcaBusyCurrentA(ampere_u ccaBusyCurrentA);
     /**
-     * \brief Gets transmit current.
+     * @brief Gets transmit current.
      *
-     * \returns transmit current of the wifi device.
+     * @returns transmit current of the wifi device.
      */
     ampere_u GetTxCurrentA() const;
     /**
-     * \brief Sets transmit current.
+     * @brief Sets transmit current.
      *
-     * \param txCurrentA the transmit current
+     * @param txCurrentA the transmit current
      */
     void SetTxCurrentA(ampere_u txCurrentA);
     /**
-     * \brief Gets receive current.
+     * @brief Gets receive current.
      *
-     * \returns receive current of the wifi device.
+     * @returns receive current of the wifi device.
      */
     ampere_u GetRxCurrentA() const;
     /**
-     * \brief Sets receive current.
+     * @brief Sets receive current.
      *
-     * \param rxCurrentA the receive current
+     * @param rxCurrentA the receive current
      */
     void SetRxCurrentA(ampere_u rxCurrentA);
     /**
-     * \brief Gets switching current.
+     * @brief Gets switching current.
      *
-     * \returns switching current of the wifi device.
+     * @returns switching current of the wifi device.
      */
     ampere_u GetSwitchingCurrentA() const;
     /**
-     * \brief Sets switching current.
+     * @brief Sets switching current.
      *
-     * \param switchingCurrentA the switching current
+     * @param switchingCurrentA the switching current
      */
     void SetSwitchingCurrentA(ampere_u switchingCurrentA);
     /**
-     * \brief Gets sleep current.
+     * @brief Gets sleep current.
      *
-     * \returns sleep current of the wifi device.
+     * @returns sleep current of the wifi device.
      */
     ampere_u GetSleepCurrentA() const;
     /**
-     * \brief Sets sleep current.
+     * @brief Sets sleep current.
      *
-     * \param sleepCurrentA the sleep current
+     * @param sleepCurrentA the sleep current
      */
     void SetSleepCurrentA(ampere_u sleepCurrentA);
 
     /**
-     * \returns Current state.
+     * @returns Current state.
      */
     WifiPhyState GetCurrentState() const;
 
     /**
-     * \param callback Callback function.
+     * @param callback Callback function.
      *
      * Sets callback for energy depletion handling.
      */
     void SetEnergyDepletionCallback(WifiRadioEnergyDepletionCallback callback);
 
     /**
-     * \param callback Callback function.
+     * @param callback Callback function.
      *
      * Sets callback for energy recharged handling.
      */
     void SetEnergyRechargedCallback(WifiRadioEnergyRechargedCallback callback);
 
     /**
-     * \param model the model used to compute the wifi TX current.
+     * @param model the model used to compute the wifi TX current.
      */
     void SetTxCurrentModel(const Ptr<WifiTxCurrentModel> model);
 
     /**
-     * \brief Calls the CalcTxCurrent method of the TX current model to
+     * @brief Calls the CalcTxCurrent method of the TX current model to
      *        compute the TX current based on such model
      *
-     * \param txPower the nominal TX power
+     * @param txPower the nominal TX power
      */
     void SetTxCurrentFromModel(dBm_u txPower);
 
     /**
-     * \brief Changes state of the WifiRadioEnergyMode.
+     * @brief Changes state of the WifiRadioEnergyMode.
      *
-     * \param newState New state the wifi radio is in.
+     * @param newState New state the wifi radio is in.
      *
      * Implements DeviceEnergyModel::ChangeState.
      */
     void ChangeState(int newState) override;
 
     /**
-     * \param state the wifi state
+     * @param state the wifi state
      *
-     * \returns the time the radio can stay in that state based on the remaining energy.
+     * @returns the time the radio can stay in that state based on the remaining energy.
      */
     Time GetMaximumTimeInState(WifiPhyState state) const;
 
     /**
-     * \brief Handles energy depletion.
+     * @brief Handles energy depletion.
      *
      * Implements DeviceEnergyModel::HandleEnergyDepletion
      */
     void HandleEnergyDepletion() override;
 
     /**
-     * \brief Handles energy recharged.
+     * @brief Handles energy recharged.
      *
      * Implements DeviceEnergyModel::HandleEnergyRecharged
      */
     void HandleEnergyRecharged() override;
 
     /**
-     * \brief Handles energy changed.
+     * @brief Handles energy changed.
      *
      * Implements DeviceEnergyModel::HandleEnergyChanged
      */
     void HandleEnergyChanged() override;
 
     /**
-     * \returns Pointer to the PHY listener.
+     * @returns Pointer to the PHY listener.
      */
     std::shared_ptr<WifiRadioEnergyModelPhyListener> GetPhyListener();
 
@@ -326,20 +326,20 @@
     void DoDispose() override;
 
     /**
-     * \param state the wifi state
-     * \returns draw of device at given state.
+     * @param state the wifi state
+     * @returns draw of device at given state.
      */
     ampere_u GetStateA(WifiPhyState state) const;
 
     /**
-     * \returns Current draw of device at current state.
+     * @returns Current draw of device at current state.
      *
      * Implements DeviceEnergyModel::GetCurrentA.
      */
     ampere_u DoGetCurrentA() const override;
 
     /**
-     * \param state New state the radio device is currently in.
+     * @param state New state the radio device is currently in.
      *
      * Sets current state. This function is private so that only the energy model
      * can change its own state.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-remote-station-info.cc ns-3.44/src/wifi/model/wifi-remote-station-info.cc
--- ns-3.43/src/wifi/model/wifi-remote-station-info.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-remote-station-info.cc	2025-03-09 16:55:49.803372600 -0700
@@ -14,8 +14,8 @@
 {
 
 WifiRemoteStationInfo::WifiRemoteStationInfo()
-    : m_memoryTime(Seconds(1.0)),
-      m_lastUpdate(Seconds(0.0)),
+    : m_memoryTime(Seconds(1)),
+      m_lastUpdate(),
       m_failAvg(0.0)
 {
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-remote-station-info.h ns-3.44/src/wifi/model/wifi-remote-station-info.h
--- ns-3.43/src/wifi/model/wifi-remote-station-info.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-remote-station-info.h	2025-03-09 16:55:49.803372600 -0700
@@ -16,7 +16,7 @@
 {
 
 /**
- * \brief TID independent remote station statistics
+ * @brief TID independent remote station statistics
  *
  * Structure is similar to struct sta_info in Linux kernel (see
  * net/mac80211/sta_info.h)
@@ -28,9 +28,9 @@
     virtual ~WifiRemoteStationInfo();
 
     /**
-     * \brief Updates average frame error rate when data or RTS was transmitted successfully.
+     * @brief Updates average frame error rate when data or RTS was transmitted successfully.
      *
-     * \param retryCounter is SLRC or SSRC value at the moment of success transmission.
+     * @param retryCounter is SLRC or SSRC value at the moment of success transmission.
      */
     void NotifyTxSuccess(uint32_t retryCounter);
     /**
@@ -39,19 +39,19 @@
     void NotifyTxFailed();
     /**
      * Return frame error rate (probability that frame is corrupted due to transmission error).
-     * \returns the frame error rate
+     * @returns the frame error rate
      */
     double GetFrameErrorRate() const;
 
   private:
     /**
-     * \brief Calculate averaging coefficient for frame error rate. Depends on time of the last
+     * @brief Calculate averaging coefficient for frame error rate. Depends on time of the last
      * update.
      *
-     * \attention Calling this method twice gives different results,
+     * @attention Calling this method twice gives different results,
      * because it resets time of last update.
      *
-     * \return average coefficient for frame error rate
+     * @return average coefficient for frame error rate
      */
     double CalculateAveragingCoefficient();
 
